> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Set For User



## OpenAPI

````yaml /openapi.json put /v1/workspaces/{workspaceId}/users/{userId}/projects
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/users/{userId}/projects:
    put:
      tags:
        - User Projects
      summary: Set For User
      operationId: UserProjectsController_setForUser_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: userId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetUserProjectsDto'
      responses:
        '204':
          description: ''
components:
  schemas:
    SetUserProjectsDto:
      type: object
      properties:
        projectIds:
          maxItems: 500
          type: array
          items:
            type: string
            pattern: ^\d+$
      required:
        - projectIds
      additionalProperties: false

````